## BIND DNS
bind is a dns server.

### Building bind

```
docker build -t zombi/bind .
```

### Running bind

```
   docker run -d \
    -p 53:53 \
    -p 53:53/udp \
    --name dns \
    -v /data/bind/:/etc/bind/ \
    zombi/bind
```


### Debugging

If the DNS server does not start up the reason is probably a syntax error in the configuration files.
Unfortunately these errors aren't logged on startup.

run `named-checkconf` for debugging which should tell you where the error is

```
   docker run -it --rm \
     --entrypoint /usr/sbin/named-checkconf \
     -v /data/bind/:/etc/bind/  \
     zombi/bind
```
